# NlaStrips(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``NlaStrips`(bpy_struct)

  Collection of Nla Strips

  `new`(name, start, action)

    Add a new Action-Clip strip to the track

    Parameters: | name (string, (never None)) – Name for the NLA Strips start (int in [-inf, inf]) – Start Frame, Start frame for this strip action (`Action`, (never None)) – Action to assign to this strip
    Returns: | New NLA Strip
    Return type: | `NlaStrip`

  `remove`(strip)

    Remove a NLA Strip

    Parameters: | strip (`NlaStrip`, (never None)) – NLA Strip to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`NlaTrack.strips` |